# Feasibility of Generating Structured Motivational Messages for Tailored Physical Activity Coaching
## Coding Reliability and Code Frequencies

**Author**: Nele Albers
**Date**: April 2023


This file is meant to reproduce the coding reliability (reported in the "Data preparation and analysis strategies"-section and the Supplementary Material) as well as the code frequencies (reported in the "Results"-section).

The participant numbers (e.g., P60) mentioned in the "Results"-section follow the order of responses in the files "Double_Coding_Round2_Coder1_Per_Response_Demotivating.csv" and "Double_Coding_Round2_Coder1_Per_Response_Motivating.csv."

Authored by Ramya Ghantasala, Nele Albers, Kristell M. Penfornis, Milon van Vliet, and Willem-Paul Brinkman.


### Steps to Reproduce Analyses

The reproduction of our code is based on Docker and Jupyter Notebook. Take the following steps:
1. Make sure that you have Docker installed. You can check whether you do by running `docker -v`.
2. Now choose from the following two options:
   - In the directory of this README-file, build the Docker image via `docker build . -t gbna4/tailored_messages_python`, or
   - In the directory of this README-file, pull the Docker image from Dockerhub via `docker pull gbna4/tailored_messages_python`. 
3. Run the Docker container via `docker run -p 8888:8888 -e JUPYTER_ENABLE_LAB=yes -v <this_working_directory>:/home/jovyan/work gbna4/tailored_messages_python`, where `<this_working_directory>` is the path to the directory that this README-file is in.
4. Go to one of the links presented in the terminal upon running the Docker container to access Jupyter Notebook.
5. Open the "work"-folder in Jupyter Notebook.
6. Open the "reliability_and_code_frequencies.ipynb"-workbook in the "work"-folder to reproduce our analyses.


### Explanation of Files

This directory contains the following files:
- Dockerfile: Dockerfile for building the Docker image yourself,
- Double_Coding_Round2_Coder1.xlsx: Codes assigned by the first coder,
- Double_Coding_Round2_Coder1_Per_Response_Demotivating.csv: Codes assigned to each response on demotivating factors by the first coder,
- Double_Coding_Round2_Coder1_Per_Response_Motivating.csv: Codes assigned to each response on motivating factors by the first coder,
- Double_Coding_Round2_Coder2.xlsx: Codes assigned by the second coder,
- README.md/README.pdf: This README-file, and
- reliability_and_code_Frequencies.ipynb: Workbook for reproducing our analyses with Jupyter Notebook.
